Package ghidra.app.util.viewer.listingpanel

# Class ListingDiffHighlightProvider

java.lang.Object
ghidra.app.util.viewer.listingpanel.ListingDiffHighlightProvider

All Implemented Interfaces:
  `ListingHighlightProvider`

public class ListingDiffHighlightProvider extends Object implements ListingHighlightProvider

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.ListingHighlightProvider

  `NO_HIGHLIGHTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingDiffHighlightProvider(ListingDiff listingDiff, boolean isListing1, ListingCodeComparisonOptions comparisonOptions)`
  Constructor for this highlight provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Highlight[]`
  `createHighlights(String text, ListingField field, int cursorTextOffset)`
  Get the highlights appropriate for the given text
  `boolean`
  `isListing1()`
  Determines if this highlight provider is for the first listing of the ListingDiff.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListingDiffHighlightProvider

    public ListingDiffHighlightProvider(ListingDiff listingDiff, boolean isListing1, ListingCodeComparisonOptions comparisonOptions)
    Constructor for this highlight provider.
    Parameters:
      `listingDiff` - the ListingDiff to use to determine where there are differences that need highlighting.
      `isListing1` - true means that these are the highlights for the first listing. false means the highlights are for the second listing.
      `comparisonOptions` - the tool options that indicate the current background colors for the Listing code comparison panel.

- ## Method Details

  - ### createHighlights

    public Highlight[] createHighlights(String text, ListingField field, int cursorTextOffset)
    Description copied from interface: `ListingHighlightProvider`
    Get the highlights appropriate for the given text
    Specified by:
      `createHighlights` in interface `ListingHighlightProvider`
    Parameters:
      `text` - the entire text contained in the field, regardless of layout.
      `field` - the field being rendered. From this field you can get the field factory and the proxy object, which is usually a `CodeUnit`.
      `cursorTextOffset` - the cursor position within the given text or -1 if no cursor in this field.
    Returns:
      an array of highlight objects that indicate the location within the text string to be highlighted.

  - ### isListing1

    public boolean isListing1()
    Determines if this highlight provider is for the first listing of the ListingDiff.
    Returns:
      true if this provider's highlights are for the first listing. false if the highlights are for the second listing.